﻿using FLY.Thick.Base.Client;
using FLY.Thick.Base.IService;
using FLY.Thick.Base.UI;
using FLY.Thick.Blowing.Client;
using FLY.Thick.Blowing.IService;
using FLY.Thick.BlowingScan.Client;
using FLY.Thick.BlowingScan.IService;
using FObjBase;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Navigation;
using Unity;

namespace FLY.Thick.BlowingScan.UI.Client
{
    /// <summary>
    /// Page_Blowing.xaml 的交互逻辑
    /// </summary>
    public partial class PgBlowing : Page
    {
        IUnityContainer container;
        PgBlowingVm viewModel;

        public PgBlowing()
        {
            InitializeComponent();
        }

        [InjectionMethod]
        public void Init(
            IUnityContainer container,
            IBlowingService blowingScanService,
            IBlowingDetectService blowingDetectService,
            IInitParamService initParamService)
        {
            this.container = container;

            viewModel = new PgBlowingVm();

            viewModel.Init(
                (IBlowingScanService)blowingScanService,
                blowingDetectService,
                initParamService);
            this.DataContext = viewModel;
        }



        private void button_buflist_Click(object sender, RoutedEventArgs e)
        {
            PgBufList p = new PgBufList();
            container.BuildUp(p);
            NavigationService.Navigate(p);
        }
    }
}
