﻿using FLY.Weight2.Server;
using System.Windows;

namespace FLY.Weight2.UI.Server
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : Window
    {
        FLY.AppHelper.WindowNotifyIconHelper notifyiconhelper;
        FLY.Weight2.Server.TDGage gage;
        FLY.Weight2.Server.OBJProxy.OBJProxy oBJProxy;
        public MainWindow()
        {
            InitializeComponent();

            this.Title = (new Misc.Ver() { SrcType = typeof(MainWindow) }).ToString();

            notifyiconhelper = new AppHelper.WindowNotifyIconHelper(this, this.Title);

            this.Hide();

            FObjBase.PollModule.Current.Start();
            gage = new TDGage("Gage1");
            oBJProxy = new Weight2.Server.OBJProxy.OBJProxy(0, gage);

            //this.DataContext = mTDGage.mData.Items[0];
            FLY.OBJComponents.Server.PLCProxySystem plsos =
                gage.mData.PLCos as FLY.OBJComponents.Server.PLCProxySystem;
            //grid_plcos.DataContext = plsos;
            //grid_plc.DataContext = plsos.PLCs[0];
            //grid_WeightSystem.DataContext = mTDGage.mData;
            this.itemcontrol.ItemsSource = plsos.PLCs;
        }
    }
}
