﻿using FLY.Weight2.Client;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Weight2.UI.Client
{
    public class WeightSystemServiceClientWithColor : WeightSystemServiceClient
    {
        public WeightSystemServiceClientWithColor(UInt32 serviceId, string connName) : base(serviceId, connName) {

            //-------------------------------------------------------
            //添加颜色
            this.ResetItemsEvent += WeightSystemServiceClientWithColor_ResetItemsEvent;
            WeightSystemServiceClientWithColor_ResetItemsEvent();
        }

        private void WeightSystemServiceClientWithColor_ResetItemsEvent()
        {
            foreach (FLY.Weight2.Common.WeighterC w in Items)
            {
                w.Color = WeighterColorDB.GetSelf(w.Number);
            }
        }
    }
}
