#!/bin/bash
#获取git 最后一个 tag 的描述！！！！
#LatestTag=$(git describe --tags `git rev-list --tags --max-count=1`)

#install_dir="和美安装包_"$LatestTag
install_dir="和美安装包_xxxx"
if [ -e $install_dir ]; then
	rm -rf $install_dir
fi
#复制 install 到 测厚仪安装包
cp -rf install $install_dir

install_dir=$install_dir"/佛山市枫莱尔自动化技术有限公司/windows"

copy_to()
{
    src_dir=$1
    dest_dir=$2
    files=$3

	#检测文件夹是否存在
	#存在，删除全部数据，再新创建；
	#不存在，创建。
	if [ -e $dest_dir ]; then
        rm -rf $dest_dir
    fi

	mkdir -p $dest_dir
	
	echo 复制 $dest_dir

	for f in ${files[*]}; do
		file_path=$src_dir"/"$f
		cp -rf $file_path $dest_dir
		if [ $? != 0 ]; then
			echo 复制失败
			exit 1
		fi
	done
}

copy_to2()
{
    src_dir=$1
	dest_dir=$2
    files=$3

    src_dir=$src_dir"/bin/Debug" 
	dest_dir=$install_dir"/"$dest_dir
    copy_to $src_dir $dest_dir $files
}

# Project.FLY.Thick.Blowing

src_dir="../Project.FLY.Thick.Blowing/FLY.Thick.Blowing.UI.Fix.Client"
dest_dir="FLY.Thick.Blowing.UI.Fix.Client"
files=(\
	"x64" "x86" "nlog.config" \
	"FLY.Thick.Blowing.UI.Fix.Client.exe" \
	"unity" "layout" "music" "default"\
	"版本说明.txt" "测厚仪说明书.pdf" \
	)
copy_to2 $src_dir $dest_dir $files


src_dir="../Project.FLY.Thick.Blowing/FLY.Thick.Blowing.UI.Fix.Server" 
dest_dir="FLY.Thick.Blowing.UI.Fix.Server" 
files=(\
	"x64" "x86" "nlog.config" \
	"FLY.Thick.Blowing.UI.Fix.Server.exe" \
	"Gage1" \
	)
copy_to2 $src_dir $dest_dir $files

#Project.FLY.FeedbackRenZiJia
src_dir="../Project.FLY.FeedbackRenZiJia/FLY.FeedbackRenZiJia.UI.Server"
dest_dir="FLY.FeedbackRenZiJia.UI.Server"
files=(\
	"x64" "x86" "nlog.config" \
	"FLY.FeedbackRenZiJia.UI.Server.exe" \
	"Gage1" \
	)
copy_to2 $src_dir $dest_dir $files

#Project.FLY.Weight
src_dir="../Project.FLY.Weight/FLY.Weight.UI.Server"
dest_dir="FLY.Weight.UI.Server"
files=(\
	"x64" "x86" "nlog.config" \
	"FLY.Weight.UI.Server.exe" \
	"Gage1" \
	)
copy_to2 $src_dir $dest_dir $files

#Project.FLY.Weight2
src_dir="../Project.FLY.Weight2/FLY.Weight2.UI.Server"
dest_dir="FLY.Weight2.UI.Server"
files=(\
	"x64" "x86" "nlog.config" \
	"FLY.Weight2.UI.Server.exe" \
	"Gage1" \
	)
copy_to2 $src_dir $dest_dir $files


#Project.FLY.Winder
src_dir="../Project.FLY.Winder_20190413/FLY.Winder.UI.Server"
dest_dir="FLY.Winder.UI.Server"
files=(\
	"x64" "x86" "nlog.config" \
	"FLY.Winder.UI.Server.exe" \
	"Gage1" \
	)
copy_to2 $src_dir $dest_dir $files

#Project.FLY.IBC
src_dir="../Project.FLY.IBC/FLY.IBC.UI.Server"
dest_dir="FLY.IBC.UI.Server"
files=(\
	"x64" "x86" "nlog.config" \
	"FLY.IBC.UI.Server.exe" \
	"Gage1" \
	)
copy_to2 $src_dir $dest_dir $files

#Project.FLY.Integrated
src_dir="../Project.FLY.Integrated/FLY.Integrated.UI.Server"
dest_dir="FLY.Integrated.UI.Server"
files=(\
	"x64" "x86" "nlog.config" \
	"FLY.Integrated.UI.Server.exe" \
	"Gage1" \
	)
copy_to2 $src_dir $dest_dir $files


# Project.FLY.Thick.BlowingScan

src_dir="../Project.FLY.Thick.BlowingScan/FLY.Thick.BlowingScan.UI.Client"
dest_dir="FLY.Thick.BlowingScan.UI.Client"
files=(\
	"x64" "x86" "nlog.config" \
	"FLY.Thick.BlowingScan.UI.Client.exe" \
	"unity" "layout" "music" "default"\
	"版本说明.txt" "测厚仪说明书.pdf" \
	)
copy_to2 $src_dir $dest_dir $files


src_dir="../Project.FLY.Thick.BlowingScan/FLY.Thick.BlowingScan.UI.Server" 
dest_dir="FLY.Thick.BlowingScan.UI.Server" 
files=(\
	"x64" "x86" "nlog.config" \
	"FLY.Thick.BlowingScan.UI.Server.exe" \
	"Gage1" \
	)
copy_to2 $src_dir $dest_dir $files
echo 完成